package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.util.List;

/**
 * BMS总览数据
 *
 */
public class BMSOverViewVo {


    private Long id;

    /** 工作状态 */
    private String workStatus;

    /** 与PCS通信状态 */
    private String pcsCommunicationStatus;

    /** 与EMS通信状态 */
    private String emsCommunicationStatus;

    /** 电池堆总电压 (V) */
    private BigDecimal totalVoltage;

    /** 可充电量 (kWh) */
    private BigDecimal chargeableCapacity;

    /** 累计充电量 (kWh) */
    private BigDecimal totalChargedCapacity;

    /** 电池堆总电流 (A) */
    private BigDecimal totalCurrent;

    /** 可放电量 (kWh) */
    private BigDecimal dischargeableCapacity;

    /** 累计放电量 (kWh) */
    private BigDecimal totalDischargedCapacity;

    /** SOH (%) */
    private BigDecimal soh;

    /** 平均温度 (℃) */
    private BigDecimal averageTemperature;

    /** 绝缘电阻 (Ω) */
    private BigDecimal insulationResistance;

    /** 当前SOC (%) */
    private BigDecimal currentSoc;

    private List<BMSBatteryDataList> batteryDataList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getWorkStatus() {
        return workStatus;
    }

    public void setWorkStatus(String workStatus) {
        this.workStatus = workStatus;
    }

    public String getPcsCommunicationStatus() {
        return pcsCommunicationStatus;
    }

    public void setPcsCommunicationStatus(String pcsCommunicationStatus) {
        this.pcsCommunicationStatus = pcsCommunicationStatus;
    }

    public String getEmsCommunicationStatus() {
        return emsCommunicationStatus;
    }

    public void setEmsCommunicationStatus(String emsCommunicationStatus) {
        this.emsCommunicationStatus = emsCommunicationStatus;
    }

    public BigDecimal getTotalVoltage() {
        return totalVoltage;
    }

    public void setTotalVoltage(BigDecimal totalVoltage) {
        this.totalVoltage = totalVoltage;
    }

    public BigDecimal getChargeableCapacity() {
        return chargeableCapacity;
    }

    public void setChargeableCapacity(BigDecimal chargeableCapacity) {
        this.chargeableCapacity = chargeableCapacity;
    }

    public BigDecimal getTotalChargedCapacity() {
        return totalChargedCapacity;
    }

    public void setTotalChargedCapacity(BigDecimal totalChargedCapacity) {
        this.totalChargedCapacity = totalChargedCapacity;
    }

    public BigDecimal getTotalCurrent() {
        return totalCurrent;
    }

    public void setTotalCurrent(BigDecimal totalCurrent) {
        this.totalCurrent = totalCurrent;
    }

    public BigDecimal getDischargeableCapacity() {
        return dischargeableCapacity;
    }

    public void setDischargeableCapacity(BigDecimal dischargeableCapacity) {
        this.dischargeableCapacity = dischargeableCapacity;
    }

    public BigDecimal getTotalDischargedCapacity() {
        return totalDischargedCapacity;
    }

    public void setTotalDischargedCapacity(BigDecimal totalDischargedCapacity) {
        this.totalDischargedCapacity = totalDischargedCapacity;
    }

    public BigDecimal getSoh() {
        return soh;
    }

    public void setSoh(BigDecimal soh) {
        this.soh = soh;
    }

    public BigDecimal getAverageTemperature() {
        return averageTemperature;
    }

    public void setAverageTemperature(BigDecimal averageTemperature) {
        this.averageTemperature = averageTemperature;
    }

    public BigDecimal getInsulationResistance() {
        return insulationResistance;
    }

    public void setInsulationResistance(BigDecimal insulationResistance) {
        this.insulationResistance = insulationResistance;
    }

    public BigDecimal getCurrentSoc() {
        return currentSoc;
    }

    public void setCurrentSoc(BigDecimal currentSoc) {
        this.currentSoc = currentSoc;
    }

    public List<BMSBatteryDataList> getBatteryDataList() {
        return batteryDataList;
    }

    public void setBatteryDataList(List<BMSBatteryDataList> batteryDataList) {
        this.batteryDataList = batteryDataList;
    }
}
