package com.xzzn.ems.service.impl;

import com.xzzn.ems.domain.EmsSiteSetting;
import com.xzzn.ems.domain.vo.SiteTotalInfoVo;
import com.xzzn.ems.mapper.EmsSiteSettingMapper;
import com.xzzn.ems.service.IEmsSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 站点信息 服务层实现
 *
 */
@Service
public class EmsSiteServiceImpl implements IEmsSiteService
{

    @Autowired
    private EmsSiteSettingMapper emsSiteMapper;

    @Override
    public List<EmsSiteSetting> getAllSites() {
        return emsSiteMapper.selectEmsSiteSettingList(null);
    }

    @Override
    public SiteTotalInfoVo getSiteTotalInfo() {
        return emsSiteMapper.getSiteTotalInfo();
    }

}
