package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * BMS总览-电池堆电池簇单体数据
 */
public class BMSBatteryDataList {
    /**
     * 簇号
     */
    private Long clusterId;

    /** 簇电压 (V) */
    private BigDecimal clusterVoltage;

    /** 簇电流 (A) */
    private BigDecimal clusterCurrent;

    /** 簇SOC (%) */
    private BigDecimal currentSoc;

    /** 单体最高电压 (V) */
    private BigDecimal maxVoltage;

    /** 单体最低电压 (V) */
    private BigDecimal minVoltage;

    /** 单体最高温度 (℃) */
    private BigDecimal maxTemperature;

    /** 单体最低温度 (℃) */
    private BigDecimal minTemperature;

    public Long getClusterId() {
        return clusterId;
    }

    public void setClusterId(Long clusterId) {
        this.clusterId = clusterId;
    }

    public BigDecimal getMinTemperature() {
        return minTemperature;
    }

    public void setMinTemperature(BigDecimal minTemperature) {
        this.minTemperature = minTemperature;
    }

    public BigDecimal getMaxTemperature() {
        return maxTemperature;
    }

    public void setMaxTemperature(BigDecimal maxTemperature) {
        this.maxTemperature = maxTemperature;
    }

    public BigDecimal getMinVoltage() {
        return minVoltage;
    }

    public void setMinVoltage(BigDecimal minVoltage) {
        this.minVoltage = minVoltage;
    }

    public BigDecimal getMaxVoltage() {
        return maxVoltage;
    }

    public void setMaxVoltage(BigDecimal maxVoltage) {
        this.maxVoltage = maxVoltage;
    }

    public BigDecimal getCurrentSoc() {
        return currentSoc;
    }

    public void setCurrentSoc(BigDecimal currentSoc) {
        this.currentSoc = currentSoc;
    }

    public BigDecimal getClusterCurrent() {
        return clusterCurrent;
    }

    public void setClusterCurrent(BigDecimal clusterCurrent) {
        this.clusterCurrent = clusterCurrent;
    }

    public BigDecimal getClusterVoltage() {
        return clusterVoltage;
    }

    public void setClusterVoltage(BigDecimal clusterVoltage) {
        this.clusterVoltage = clusterVoltage;
    }
}
